#! /usr/bin/bash
ATELIER=/tmp/atelier-steganographie/snowdrop
test "$PWD" = "$ATELIER" || exec echo "$0 : ce script doit se trouver dans $ATELIER"


# met de coté la base de données
test -d ~/.snowdrop && mv  ~/.snowdrop ~/snowdrop$$

test $0 = .$(basename $0) && cp $0 .i$$
test "$PWD" = "$ATELIER" && rm -fr doc-ref # oui on reverifie
test "$PWD" = "$ATELIER" && rm * # oui on reverifie
test -f .i$$ && mv .i$$ $0
mkdir doc-ref || exec echo "$0 : impossible d ajouter un repertoire"

for i in ls date man
do
	man $i | head -200 > doc-ref/$i.txt
	for j in Marie Pierre Claire Paul
	do
		sd-eng -i doc-ref/$i.txt copie-$j-$i.txt "$j" "pour $j de $i.txt" 2> /dev/null
	done
done

test -d ~/snowdrop$$ && mv  ~/snowdrop$$ ~/.snowdrop

sed -n '10,30p' copie-Paul-date.txt > plagia.txt
echo "sd-eng -e doc-ref/date.txt plagia.txt"

echo 'for i in doc-ref/*'
echo '   do timeout 1 sd-eng -e $i plagia.txt > /dev/null 2>&1 && echo -e "\n    dans $i"'
echo 'done'
